- block:
  - name: creating droplet
    digital_ocean_droplet:
      api_token: "{{ digitalocean_access_token }}"
      unique_name: True
      name: "{{ item.label }}"
      size: "{{ item.size | default('s-1vcpu-1gb') }}"
      region: "{{ item.region }}"
      image: centos-7-x64
      ssh_keys: "{{ item.ssh_keys }}"
      state: "{{ item.state }}"
    register: instance

  - name: Printing instance info
    debug:
      msg: "id:{{ instance.droplet.id }}, name:{{ instance.droplet.name }}, ip:{{ instance.droplet.ip_address }}"
    when: item.state != 'absent'

  - name: Tagging droplet
    digital_ocean_tag:
      api_token: "{{ digitalocean_access_token }}"
      resource_id: "{{ instance.droplet.id }}"
      name: "{{ item.tag }}"
    when: item.state != 'absent'

  # Re-arrange instance values to re-use route53.yml for both Linode and DO
  - set_fact:
      instance:
        state: "{{ item.state }}"
        label: "{{ item.label }}"
        zone: "{{ item.zone }}"
        record: "{{ item.label }}"
        ip: "{{ instance.droplet.ip_address }}"
    when: item.state != 'absent'

  - include: tasks/route53.yml
    when: item.state != 'absent'

  when: digitalocean_access_token is defined
